Mailrelay API Reference

Update a WhatsApp template

PATCH https://{account}/api/v1/whatsapp/templates/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Update a WhatsApp template. Only templates with DRAFT or REJECTED status can be edited. Template name can only be changed for DRAFT templates.

Components Examples

Basic template:

{
  "components": [
    {
      "type": "BODY",
      "text": "Hello {{subscriber_name}}, welcome to our service!",
      "example": {
        "body_text_named_params": [{ "param_name": "subscriber_name", "example": "John" }]
      }
    }
  ]
}

Template with text header and footer:

{
  "components": [
    {
      "type": "HEADER",
      "format": "TEXT",
      "text": "Welcome to our service"
    },
    {
      "type": "BODY",
      "text": "Thank you for joining us!"
    },
    {
      "type": "FOOTER",
      "text": "Thank you for using our service"
    }
  ]
}

Template with buttons:

{
  "components": [
    {
      "type": "BODY",
      "text": "Visit our website to learn more!"
    },
    {
      "type": "BUTTONS",
      "buttons": [
        {
          "type": "URL",
          "text": "Visit Website",
          "url": "https://example.com"
        }
      ]
    }
  ]
}

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record
category string No Category
language string No Language
waba_id string No WhatsApp Business Account
components array No An array of template components. Must include exactly one BODY component. Optional components: HEADER (TEXT, IMAGE, VIDEO, or DOCUMENT format), FOOTER, and BUTTONS (up to 2 URL buttons).
header_media No

Responses

StatusDescription
200 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
409 The template status does not allow editing.
403 WhatsApp endpoints require the WhatsApp add-on package or a paid plan.

Response fields

NameTypeDescription
id integer ID
name string Name
template_id string Template
template_version string Template version
category string Category
language string Language
status string Status
rejected_reason string Rejected reason
waba_id string WhatsApp Business Account
created_at string Created at
updated_at string Updated at
components array An array of template components. Must include exactly one BODY component. Optional components: HEADER (TEXT, IMAGE, VIDEO, or DOCUMENT format), FOOTER, and BUTTONS (up to 2 URL buttons).
header_media object